# choices-separator [![NPM version](https://img.shields.io/npm/v/choices-separator.svg?style=flat)](https://www.npmjs.com/package/choices-separator) [![NPM downloads](https://img.shields.io/npm/dm/choices-separator.svg?style=flat)](https://npmjs.org/package/choices-separator) [![Build Status](https://img.shields.io/travis/enquirer/choices-separator.svg?style=flat)](https://travis-ci.org/enquirer/choices-separator)

> Separator for choices arrays in prompts. Based on the Separator from inquirer.

## Install

Install with [npm](https://www.npmjs.com/):

```sh
$ npm install --save choices-separator
```

## Usage

```js
var Enquirer = require('enquirer');
var Separator = require('choices-separator');

var enquirer = new Enquirer();
enquirer.register('checkbox', require('enquirer-prompt-checkbox'));

var question = {
  type: 'checkbox',
  message: 'Select toppings',
  name: 'toppings',
  choices: [
    new Separator(' = Color = '),
    {name: 'red'},
    {name: 'yellow', checked: true },
    {name: 'blue'},
    new Separator(' = Shape = '),
    {name: 'circle'},
    {name: 'triangle'},
    {name: 'square'}
  ]
};

enquirer.ask(question)
  .then(function(answers) {
    console.log(answers)
  });
```

## Attribution

Currently base on the `Separator` class from Inquirer.

## About

### Related projects

[enquirer](https://www.npmjs.com/package/enquirer): Plugin-based prompt system for node.js | [homepage](https://github.com/jonschlinkert/enquirer "Plugin-based prompt system for node.js")

### Contributing

Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](../../issues/new).

### Building docs

_(This document was generated by [verb-generate-readme](https://github.com/verbose/verb-generate-readme) (a [verb](https://github.com/verbose/verb) generator), please don't edit the readme directly. Any changes to the readme must be made in [.verb.md](.verb.md).)_

To generate the readme and API documentation with [verb](https://github.com/verbose/verb):

```sh
$ npm install -g verb verb-generate-readme && verb
```

### Running tests

Install dev dependencies:

```sh
$ npm install -d && npm test
```

### Author

**Jon Schlinkert**

* [github/jonschlinkert](https://github.com/jonschlinkert)
* [twitter/jonschlinkert](http://twitter.com/jonschlinkert)

### License

Copyright © 2016, [Jon Schlinkert](https://github.com/jonschlinkert).
Released under the [MIT license](https://github.com/enquirer/choices-separator/blob/master/LICENSE).

***

_This file was generated by [verb-generate-readme](https://github.com/verbose/verb-generate-readme), v0.1.30, on September 03, 2016._